Index: includes/discovery/entity-physical.inc.php
===================================================================
--- includes/discovery/entity-physical.inc.php	(revision 4167)
+++ includes/discovery/entity-physical.inc.php	(working copy)
@@ -12,6 +12,13 @@
   echo(" entAliasMappingIdentifier");
   $entity_array = snmpwalk_cache_twopart_oid($device, "entAliasMappingIdentifier", $entity_array, "ENTITY-MIB:IF-MIB");
 
+  if( (sizeof($entity_array) == 0) && $device['type'] == 'network' && $device['snmpver'] == 'v2c' ){
+    $snmpinfocmd = $config['install_dir']."/scripts/entity-physical-snmp-info.pl -c ".$device['community']." ".$device['hostname'];
+    echo("\nNo Entity Information found - running $snmpinfocmd\n" );
+    $input = exec( $snmpinfocmd );
+    $entity_array = json_decode( $input, true );
+  }
+
   foreach ($entity_array as $entPhysicalIndex => $entry) {
 
     $entPhysicalDescr                = $entry['entPhysicalDescr'];
